> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /expense-reports

GET https://api.merge.dev/api/accounting/v1/expense-reports

Returns a list of `ExpenseReport` objects.

Reference: https://docs.merge.dev/merge-unified/accounting/common-models/expense-reports/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `company_id` (string, optional) — If provided, will only return expense reports for this company.
- `created_after` (datetime, optional) — If provided, will only return objects created after this datetime.
- `created_before` (datetime, optional) — If provided, will only return objects created before this datetime.
- `cursor` (string, optional) — The pagination cursor value.
- `employee_id` (string, optional) — If provided, will only return expense reports for this employee.
- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `accounting_period`, `company`, `employee`, `lines`
- `include_deleted_data` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_remote_fields` (boolean, optional) — Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
- `modified_after` (datetime, optional) — If provided, only objects synced by Merge after this date time will be returned.
- `modified_before` (datetime, optional) — If provided, only objects synced by Merge before this date time will be returned.
- `page_size` (integer, optional) — Number of results to return per page. The maximum limit is 100.
- `remote_id` (string, optional) — The API provider's ID for the given object.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `results` (list of ExpenseReport, optional)

## Types

### ExpenseReport

# The ExpenseReport Object ### Description The `ExpenseReport` object represents a collection of expenses submitted for review and reimbursement. It includes details about the submitter, status, amounts, and associated metadata. ### Usage Example Fetch from the `GET ExpenseReport` endpoint to view details of expense reports and their line items.

- `tracking_categories` (list of string, required) — The related tracking categories associated with the expense report
- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `report_date` (datetime, optional, nullable) — The date of the expense report.
- `report_identifier` (string, optional, nullable) — Human-readable expense report identifier.
- `employee` (string, optional, nullable) — Identifier for the employee who submitted or is associated with the expense report
- `status` (enum, optional, nullable) — Overall status of the expense report. One of DRAFT, SUBMITTED, APPROVED, REJECTED
  - Allowed values: `DRAFT`, `SUBMITTED`, `APPROVED`, `REJECTED`
- `total_amount` (double, optional, nullable) — Total amount of the expense report
- `lines` (list of ExpenseReportLine, optional)
- `currency` (enum, optional, nullable) — Currency code for the expense report. The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `description` (string, optional, nullable) — A brief description or purpose for the expense report
- `accounting_period` (string, optional, nullable) — The accounting period the report was posted in
- `company` (string, optional, nullable) — The subsidiary that the expense report is created in
- `expense_report_url` (string, optional, nullable) — The 3rd party URL of the expense report.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (ExpenseReportFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)
- `remote_fields` (list of RemoteField, optional)

### ExpenseReportLine

# The ExpenseReportLine Object ### Description The `ExpenseReportLine` object represents an individual line item within an expense report, containing details about a specific expense such as amount, description, and associated metadata. ### Usage Example Fetch from the `GET ExpenseReport` endpoint and expand the lines field to view all line items in the expense report.

- `tracking_categories` (list of string, required) — The related tracking categories associated with the expense report (Department, Location, Class, Expense Category)
- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `account` (string, optional, nullable)
- `description` (string, optional, nullable) — Description of the individual expense.
- `expense_date` (datetime, optional, nullable) — The date the individual expense was incurred.
- `amount` (double, optional, nullable) — The amount of the expense for the line item.
- `currency` (enum, optional, nullable) — Currency of the expense line (if different from the report currency). The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `exchange_rate` (string, optional, nullable) — Exchange rate used if the line item is in a foreign currency.
- `is_billable` (boolean, optional, nullable) — Whether the expense line is billable to a client or project.
- `employee` (string, optional, nullable) — Identifier for the employee who submitted or is associated with the expense report
- `project` (string, optional, nullable)
- `company` (string, optional, nullable) — The subsidiary that the expense report is created in
- `contact` (string, optional, nullable)
- `quantity` (double, optional, nullable) — Quantity for the expense line (e.g., miles driven, items purchased).
- `unit_price` (double, optional, nullable) — Price per unit for the expense line (if applicable).
- `non_reimbursable` (boolean, optional, nullable) — Whether the expense line is non-reimbursable (e.g., paid via company card).
- `tax_amount` (double, optional, nullable) — Tax amount applicable for the line item.
- `inclusive_of_tax` (boolean, optional, nullable) — Whether the amount is inclusive of tax.
- `tax_rate` (string, optional, nullable)
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `remote_fields` (list of RemoteField, optional)

### ExpenseReportFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

### RemoteField

- `remote_field_class` (RemoteFieldClass, required)
- `value` (map from string to any, optional)

### RemoteFieldClass

- `id` (string, optional)
- `display_name` (string, optional)
- `remote_key_name` (string, optional)
- `description` (string, optional)
- `is_custom` (boolean, optional)
- `is_common_model_field` (boolean, optional)
- `is_required` (boolean, optional)
- `field_type` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `field_format` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `field_choices` (list of string, optional)
- `item_schema` (ItemSchema, optional)

### ItemSchema

- `item_type` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `item_format` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `item_choices` (list of string, optional)

## Examples

**Response**

```json
{
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
  "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
  "results": [
    {
      "tracking_categories": [
        "a1b2c3d4-e5f6-4a5b-9c3d-2e1f0a9b8c7d",
        "d4c3b2a1-9e8f-7g6h-5i4j-3k2l1m0n9o8p"
      ],
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "remote_id": "exp_123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2024-01-31T12:00:00Z",
      "modified_at": "2024-01-31T14:30:00Z",
      "report_date": "2024-01-31T00:00:00Z",
      "report_identifier": "EXP-2024-001",
      "employee": "b9a9b824-6172-4d63-9d90-1c8a86c4f3b1",
      "status": "SUBMITTED",
      "total_amount": 150,
      "lines": [
        {
          "tracking_categories": [
            "cat-1",
            "cat-2"
          ],
          "id": "1234",
          "remote_id": "abcd-1234",
          "created_at": "2021-09-15T00:00:00Z",
          "modified_at": "2021-10-16T00:00:00Z",
          "account": "acc-1234",
          "description": "Client lunch meeting",
          "expense_date": "2024-01-15T00:00:00Z",
          "amount": 50,
          "currency": "USD",
          "exchange_rate": "1",
          "is_billable": true,
          "employee": "emp-1234",
          "project": "proj-5678",
          "company": "comp-1234",
          "contact": "cont-5678",
          "quantity": 1,
          "unit_price": 50,
          "non_reimbursable": false,
          "tax_amount": 5,
          "inclusive_of_tax": false,
          "tax_rate": "tax-1234",
          "remote_was_deleted": false,
          "field_mappings": {
            "linked_account_defined_targets": {
              "custom_key": "custom_value"
            },
            "organization_defined_targets": {
              "custom_key": "custom_value"
            }
          },
          "integration_params": {
            "unique_integration_field": "unique_integration_field_value"
          },
          "linked_account_params": {
            "unique_linked_account_field": "unique_linked_account_field_value"
          }
        }
      ],
      "currency": "USD",
      "description": "January 2024 Travel Expenses",
      "accounting_period": "7d793c67-9f72-4a6b-9256-3936f237b0d9",
      "company": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "expense_report_url": "https://qbo.intuit.com/app/expensereport/exp_123e4567",
      "remote_was_deleted": true,
      "field_mappings": {
        "organization_defined_targets": {
          "custom_key": "custom_value"
        },
        "linked_account_defined_targets": {
          "custom_key": "custom_value"
        }
      },
      "remote_data": [
        {
          "path": "/actions",
          "data": null
        }
      ],
      "remote_fields": [
        {
          "remote_field_class": {
            "id": "string",
            "display_name": "string",
            "remote_key_name": "string",
            "description": "string",
            "is_custom": true,
            "is_common_model_field": true,
            "is_required": true,
            "field_type": "string",
            "field_format": "string",
            "field_choices": [
              "string"
            ],
            "item_schema": {
              "item_type": "string",
              "item_format": "string",
              "item_choices": [
                "string"
              ]
            }
          },
          "value": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/accounting/v1/expense-reports"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/accounting/v1/expense-reports?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/accounting/v1/expense-reports?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/accounting/v1/expense-reports?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/accounting/v1/expense-reports?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/accounting/v1/expense-reports?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/accounting/v1/expense-reports?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/accounting/v1/expense-reports?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```